version: '3.1'

services:
  zookeeper:
    image: zookeeper
    container_name: projetbd-zookeeper
    restart: always

  nimbus:
    image: storm
    container_name: projetbd-nimbus
    command: storm nimbus
    depends_on:
      - zookeeper
    links:
      - zookeeper
    restart: always
    ports:
      - "6627:6627"

  supervisor1:
    image: storm
    container_name: projetbd-supervisor1
    command: storm supervisor
    depends_on:
      - nimbus
      - zookeeper
    links:
      - nimbus
      - zookeeper
    restart: always

  supervisor2:
    image: storm
    container_name: projetbd-supervisor2
    command: storm supervisor
    depends_on:
      - nimbus
      - zookeeper
    links:
      - nimbus
      - zookeeper
    restart: always

  supervisor3:
    image: storm
    container_name: projetbd-supervisor3
    command: storm supervisor
    depends_on:
      - nimbus
      - zookeeper
    links:
      - nimbus
      - zookeeper
    restart: always

  ui:
    image: storm
    container_name: projetbd-ui
    command: storm ui
    depends_on:
      - nimbus
    links:
      - nimbus
    restart: always
    ports:
      - "8080:8080"
